<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="css/stylemin.css">
  <link rel="stylesheet" href="css/color.css">
  <title> Pizza 365 v0.5</title>
</head>

<body onload="onPageLoading()">
  <!-- Menu -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">SIZE COMBOS</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#type">PIZZA TYPES</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">FORM CONTACT</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 70px 0px 50px 0px">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b class="text-main">Pizza 365</b></h1>
            <p style="font-style: italic" class="text-second">Truly italian!</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Fourth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title ưu điểm của Quán -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Hãy chọn Pizza 365</b></h2>
          </div>

          <!-- Content ưu điểm của Quán -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title Size Combos -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content các Size Combos -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 20 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-small" data-is-selected="N" onclick="onBtnSizeSmall()">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 25 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b> 300 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-medium" data-is-selected="N" onclick="onBtnSizeMedium()"> Chọn </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 30 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b> 500 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-large" data-is-selected="N" onclick="onBtnSizeLarge()"> Chọn </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="type" class="row">
          <!-- Title Pizza Type -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Pizza Type -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hawai.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hawai</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>
                      Hãy thưởng thức món ăn với phong cách Alo Ha đến từ
                      Hawai.
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-hawai" data-is-selected="N" onclick="onBtnTypeHawai()"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hai_san.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hải sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>
                      Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-hai-san" data-is-selected="N" onclick="onBtnTypeSeaFood()"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Bacon</h3>
                    <p>Món ăn đăc biệt</p>
                    <p>
                      Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-bacon" data-is-selected="N" onclick="onBtnTypeBacon()"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div style="text-align: center; margin-top: 40px;"> 
          <h2><b class="p-2 border-bottom">Đồ uống</b></h2>
        </div>
         <!-- Content Form Contact Us -->
        <div class="col-sm-12 p-2 jumbotron" style="margin-top: 20px;">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <select id="select-drink" class="form-control">
                  <option value="0">-- Chọn đồ uống --</option>
                </select>
              </div>
            </div>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Form Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>
        
          <!-- Content Form Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="input-name">Họ và tên</label>
                  <input type="text" class="form-control" id="input-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="input-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="input-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="input-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="input-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="input-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="input-message" placeholder="Lời nhắn ..." />
                </div>
                <div class="form-group">
                  <label for="voucherID">Mã giảm giá (voucherID)</label>
                  <input type="text" class="form-control" id="input-voucher" placeholder="Mã voucher..." />
                </div>
                <button type="button" class="btn-green" onclick="onBtnKiemTraDon()"> Kiểm tra đơn </button>

              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">thông tin đơn hàng vào đây</div>
            <div class="p-2">
              <button type="button" class="btn-yellow" onclick="onBtnGuiDon()"> Gửi đơn </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-3">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn bg-main-brand text-white m-3"><i class="fa fa-arrow-up mr-2"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official text-main"></i>
          <i class="fa fa-instagram text-main"></i>
          <i class="fa fa-snapchat text-main"></i>
          <i class="fa fa-pinterest-p text-main "></i>
          <i class="fa fa-twitter text-main"></i>
          <i class="fa fa-linkedin text-main"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  // Mảng danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "10345", percentDiscount: 20 }, // mã giảm giá là 10345, phần trăm giảm giá 20%
    { voucherID: "11346", percentDiscount: 10 },
    { voucherID: "20445", percentDiscount: 5 },
    { voucherID: "21457", percentDiscount: 30 },
    { voucherID: "32154", percentDiscount: 20 },
    { voucherID: "30546", percentDiscount: 25 },
    { voucherID: "41351", percentDiscount: 15 },
    { voucherID: "53360", percentDiscount: 5 },
    { voucherID: "65343", percentDiscount: 30 },
    { voucherID: "78328", percentDiscount: 40 },
  ];

  const gComboSmall = "small";
  const gComboMedium = "medium";
  const gComboLarge = "large";

  const gTypeHawai = "hawai";
  const gTypeSeaFood = "seafood";
  const gTypeBacon = "bacon";

  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

  var gMenuObj = null;
  var gTypePizza = null;
  var gTypeDrink = null;

  var vDonHangObj = {
      menuDuocChon : gMenuObj,
      loaiPizza : gTypePizza,
      loaiDrink: gTypeDrink,
      hoVaTen : "",
      email : "",
      dienThoai : "",
      diaChi : "",
      loiNhan : "",
      voucher : "",
      phanTramGiamGia : 0,
      priceVND : function() {
        var vPrice = gMenuObj.price - (gMenuObj.price * (this.phanTramGiamGia/100));
        return vPrice;
      }
  }


  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onBtnSizeSmall() {
    gMenuObj = getComboObj("S", 20, 2, 200, 2, 1500000);
    // show object ra console log
    gMenuObj.displayComboInfo();
    // đổi màu button
    changeColorButtonCombo(gComboSmall);
    
  }

  function onBtnSizeMedium() {
    gMenuObj = getComboObj("M", 25, 4, 300, 3, 2000000);
    // show object ra console log
    gMenuObj.displayComboInfo();
    // đổi màu button
    changeColorButtonCombo(gComboMedium);
  }

  function onBtnSizeLarge() {
    gMenuObj = getComboObj("L", 30, 8, 500, 4, 2500000);
    // show object ra console log
    gMenuObj.displayComboInfo();
    // đổi màu button
    changeColorButtonCombo(gComboLarge);
  }

  function onBtnTypeHawai() {
    gTypePizza = "Hawai";
    changeColorButtonType(gTypeHawai);
    console.log("Loại Pizza đã chọn: Hawai");
  }

  function onBtnTypeSeaFood() {
    gTypePizza = "Hải sản";
    changeColorButtonType(gTypeSeaFood);
    console.log("Loại Pizza đã chọn: Hải sản");
  }

  function onBtnTypeBacon() {
    gTypePizza = "Bacon";
    changeColorButtonType(gTypeBacon);
    console.log("Loại Pizza đã chọn: Bacon");
  }

  function onBtnKiemTraDon() {
    var vNameElement = document.getElementById("input-name");
    var vEmailElement = document.getElementById("input-email");
    var vPhoneElement = document.getElementById("input-phone");
    var vAddressElement = document.getElementById("input-address");
    var vMessageElement = document.getElementById("input-message");
    var vVoucherElement = document.getElementById("input-voucher");
    var vTypeDrinkElement = document.getElementById("select-drink");
    
    vDonHangObj.menuDuocChon = gMenuObj;
    vDonHangObj.loaiPizza = gTypePizza;
    vDonHangObj.hoVaTen = vNameElement.value.trim();
    vDonHangObj.email = vEmailElement.value.trim();
    vDonHangObj.dienThoai = vPhoneElement.value.trim();
    vDonHangObj.diaChi = vAddressElement.value.trim();
    vDonHangObj.loiNhan = vMessageElement.value.trim();
    vDonHangObj.voucher = vVoucherElement.value.trim();
    vDonHangObj.loaiDrink = vTypeDrinkElement.value;
    
    if (vDonHangObj.voucher != "") {
      vDonHangObj.phanTramGiamGia = getDiscountValue(vDonHangObj.voucher);
    }

    if (validateData(vDonHangObj)) {
      showDataForm(vDonHangObj);
    };

  }

  function onBtnGuiDon() {
    var vDivOrderInfoElement = document.getElementById("div-order-infor");
    var vDivOrderInfo = vDivOrderInfoElement.innerHTML;
    var vTextForm = vDivOrderInfo.replace(/<br>/g, "\n")
    console.log("-------Đơn Hàng-------")
    console.log(vTextForm);
  }

  function onPageLoading() {
     //load dữ liệu vào select đồ uống
     callApiLoadDrinkSelect();
  }

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function changeColorButtonCombo(paramInput) {
    var vSmallButtonElement = document.getElementById("btn-size-small");
    var vMediumButtonElement = document.getElementById("btn-size-medium");
    var vLargeButtonElement = document.getElementById("btn-size-large");

    vSmallButtonElement.className = "btn-green";
    vMediumButtonElement.className = "btn-green";
    vLargeButtonElement.className = "btn-green";

    vSmallButtonElement.setAttribute("data-is-selected", "N");
    vMediumButtonElement.setAttribute("data-is-selected", "N");
    vLargeButtonElement.setAttribute("data-is-selected", "N");

    if (paramInput == "small") {
      vSmallButtonElement.className = "btn-yellow";
      vSmallButtonElement.setAttribute("data-is-selected", "Y");
    }

    if (paramInput == "medium") {
      vMediumButtonElement.className = "btn-yellow";
      vMediumButtonElement.setAttribute("data-is-selected", "Y");
    }

    if (paramInput == "large") {
      vLargeButtonElement.className = "btn-yellow";
      vLargeButtonElement.setAttribute("data-is-selected", "Y");
    }
  }

  function getComboObj(paramSize, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramPrice) {
    var vSelectedComboObj = {
      size : paramSize,
      duongKinh : paramDuongKinh,
      suonNuong : paramSuonNuong,
      salad : paramSalad,
      nuocNgot : paramNuocNgot,
      price : paramPrice,
      displayComboInfo : function() {
        console.log("%cCOMBO PIZZA SELECTED", "color:blue");
        console.log("Size: " + this.size);
        console.log("Đường kính: " + this.duongKinh);
        console.log("Sườn nướng: " + this.suonNuong);
        console.log("Salad: " + this.salad);
        console.log("Nước ngọt: " + this.nuocNgot);
        console.log("Price: " + this.price + " VND");
      }
    };
    return vSelectedComboObj;                                                                                                               
  }

  function changeColorButtonType(paramInput) {
    var vHawaiButtonElement = document.getElementById("btn-type-hawai");
    var vSeaFoodButtonElement = document.getElementById("btn-type-hai-san");
    var vBaconButtonElement = document.getElementById("btn-type-bacon");

    vHawaiButtonElement.className = "btn-green";
    vSeaFoodButtonElement.className = "btn-green";
    vBaconButtonElement.className = "btn-green";


    vHawaiButtonElement.setAttribute("data-is-selected", "N");
    vSeaFoodButtonElement.setAttribute("data-is-selected", "N");
    vBaconButtonElement.setAttribute("data-is-selected", "N");

    if (paramInput == "hawai") {
      vHawaiButtonElement.className = "btn-yellow";
      vHawaiButtonElement.setAttribute("data-is-selected", "Y");
    }

    if (paramInput == "seafood") {
      vSeaFoodButtonElement.className = "btn-yellow";
      vSeaFoodButtonElement.setAttribute("data-is-selected", "Y");
    }

    if (paramInput == "bacon") {
      vBaconButtonElement.className = "btn-yellow";
      vBaconButtonElement.setAttribute("data-is-selected", "Y");
    }
  }

  function getDiscountValue(paramVoucherID) {
    "use strict";
    var vPhanTramGiamGia = 0;
    var vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open( "GET", vBASE_URL + paramVoucherID, false);
    vXmlHttp.send();
    if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
      var vVoucherObj = JSON.parse(vXmlHttp.responseText);
      vPhanTramGiamGia = vVoucherObj.phanTramGiamGia;
    } 
    else {
      // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
      alert("Không tìm thấy voucher!");
    };
    return vPhanTramGiamGia;
  }

  // Hàm kiểm tra email
  function validateEmail(paramEmail) {
    var re = /\S+@\S+\.\S+/;
    return re.test(paramEmail);
  }

  // Hàm kiểm tra số điện thoai
  function validatePhoneNumber(paramPhoneNumber) {
    // kiểm tra điều kiện phải nhập vào là số
    if (isNaN(paramPhoneNumber)) {
      console.log("Số điện thoại nhập vào phải là số");
      return false;
    }

    // kiểm tra điều kiện có dấu + hoặc số 0 ở đầu
    if (paramPhoneNumber.charAt(0) != "+" && paramPhoneNumber.charAt(0) != "0") {
      console.log("Số điện thoại phải có số 0 hoặc dấu + ở đầu");
      return false;
    }

    // kiểm tra điều kiện từ 10 đến 12 ký tự
    if (paramPhoneNumber.length < 10 || paramPhoneNumber.length > 12) {
      console.log("Số điện thoại phải từ 10 đến 12 ký tự");
      return false;
    }

    // nếu thỏa mãn tất cả thì return true
    return true;
  }

  function validateData(paramInput) {
    if (paramInput.menuDuocChon == null) {
      alert("Vui lòng chọn combo Pizza!");
      return false;
    }
    else if (paramInput.loaiPizza == null) {
      alert("Vui lòng chọn loại Pizza!");
      return false;
    }
    else if (paramInput.loaiDrink == 0) {
      alert("Vui lòng chọn loại Drink!");
      return false;
    }
    else if (paramInput.hoVaTen.length == 0) {
      alert("Vui lòng nhập Tên!");
      return false;
    }
    else if (paramInput.email.length == 0) {
      alert("Vui lòng nhập Email!");
      return false;
    }
    else if (validateEmail(paramInput.email) == false) {
      alert("Vui lòng nhập đúng địa chỉ Email!");
      return false;
    }
    else if (paramInput.dienThoai.length == 0) {
      alert("Vui lòng nhập số điện thoại!");
      return false;
    }
    else if (validatePhoneNumber(paramInput.dienThoai) == false) {
      alert("Vui lòng nhập đúng số điện thoại!");
      return false;
    }
    else if (paramInput.diaChi.length == 0) {
      alert("Vui lòng nhập địa chỉ!");
      return false;
    }
    return true;
  }

  function showDataForm(paramInput) {
    var vHtml = "";
    vHtml += "Họ và tên: " + paramInput.hoVaTen + "<br/>";
    vHtml += "Email: " + paramInput.email + "<br/>";
    vHtml += "Số điện thoại: " + paramInput.dienThoai + "<br/>";
    vHtml += "Địa chỉ: " + paramInput.diaChi + "<br/>";
    vHtml += "Lời nhắn: " + paramInput.loiNhan + "<br/>";

    vHtml += "----------------------" + "<br/>";
    vHtml += "Kích cỡ: " + paramInput.menuDuocChon.size + "<br/>";
    vHtml += "Đường kính: " + paramInput.menuDuocChon.duongKinh + "<br/>";
    vHtml += "Sườn nướng: " + paramInput.menuDuocChon.suonNuong + "<br/>";
    vHtml += "Salad: " + paramInput.menuDuocChon.salad + "<br/>";
    vHtml += "Nước ngọt: " + paramInput.menuDuocChon.nuocNgot + "<br/>";
    vHtml += "Loại nước uống: " + paramInput.loaiDrink + "<br/>";

    vHtml += "----------------------" + "<br/>";
    vHtml += "Loại Pizza: " + paramInput.loaiPizza + "<br/>";
    vHtml += "Mã voucher: " + paramInput.voucher + "<br/>";
    vHtml += "Giá VND: " + paramInput.menuDuocChon.price + "<br/>";
    vHtml += "Discount %: " + paramInput.phanTramGiamGia + "<br/>";
    vHtml += "Phải thanh toán VND: " + paramInput.priceVND() + "<br/>";

    var vDivOrderInfoElement = document.getElementById("div-order-infor");
    vDivOrderInfoElement.innerHTML = vHtml;

    var vDivContainerOrder = document.getElementById("div-container-order");
    vDivContainerOrder.style.display = "block";
  }

  function callApiLoadDrinkSelect() {
    "use strict";
    var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vBASE_URL, true);
    vXhttp.send();
    vXhttp.onreadystatechange = function() {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          loadDataToDrinkSelect(vXhttp);
        }
    };
  }

  function loadDataToDrinkSelect(paramXhttp) {
    var vDrinkObj = JSON.parse(paramXhttp.responseText);
    var vDrinkSelect = document.getElementById("select-drink");

    for (var i=0; i< vDrinkObj.length; i++) {
      var bDrinkOption = document.createElement("option");
      bDrinkOption.value = vDrinkObj[i].maNuocUong;
      bDrinkOption.text = vDrinkObj[i].tenNuocUong;
      vDrinkSelect.appendChild(bDrinkOption);
    }
  }

</script>

</html>